aboutsummaryrefslogtreecommitdiffstats
path: root/tests/aiger/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/aiger/run-test.sh')
-rwxr-xr-xtests/aiger/run-test.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/aiger/run-test.sh b/tests/aiger/run-test.sh
new file mode 100755
index 000000000..308578f01
--- /dev/null
+++ b/tests/aiger/run-test.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+OPTIND=1
+seed="" # default to no seed specified
+while getopts "S:" opt
+do
+ case "$opt" in
+ S) arg="${OPTARG#"${OPTARG%%[![:space:]]*}"}" # remove leading space
+ seed="SEED=$arg" ;;
+ esac
+done
+shift "$((OPTIND-1))"
+
+# check for Icarus Verilog
+if ! which iverilog > /dev/null ; then
+ echo "$0: Error: Icarus Verilog 'iverilog' not found."
+ exit 1
+fi
+
+exec ${MAKE:-make} -f ../tools/autotest.mk $seed *.aag EXTRA_FLAGS="-f aiger"